wmnet(1x)

NAME
wmnet - an IP accounting monitoring tool

SYNOPSIS
wmnet [-h,--help] [-v,--version] [-T,--txrule=NUM] [-R,--rxrule=NUM] [-l,--logscale] [-t,--txcolor=COLOR] [-r,--rxcolor=COLOR] [-d DELAY] [-x,--maxrate=BYTES] [-F,--labelfg=COLOR] [-B,--labelbg=COLOR] [-L,--label=LABEL] [-e,--execute=COMMAND] [-p,--promisc=DEVICE] [-u,--unpromisc=DEVICE] [-w,--withdrawn | -n,--normalstate] [-D,--driver=DRIVER] [-W,--device=DEVICE]

DESCRIPTION
wmnet polls network statistics and does a few things with the data it gets. It has small blinking lights for the rx and tx of IP packets, a digital speedometer of your networks current speed and a bar graph like xload plotting your throughput. It has a tx speed graph from bottom-up and rx speed graph from the top-down. The speedometer keeps track of the current speed per second and shows it in a color corresponding to which of rx or tx that has the highest speed at the moment. Also, the graph is drawn in a way that the highest speed is drawn on top of the other while the other is in the background.

  OPTIONS

-h,--help
    displays a brief help message

-v,--version
    displays version information

-T,--txrule=NUM or NAME
    in the case of the ipfwadm driver, this is the accounting rule number to monitor for tx. For the ipchains driver, this is the chain name to watch.

-R,--rxrule=NUM or NAME
    in the case of the ipfwadm driver, this is the accounting rule number to monitor for rx. For the ipchains, this is the chain name to watch.

-t,--txcolor=COLOR
    specifies the tx color

-r,--rxcolor=COLOR
    specifies the rx color

-x,--maxrate=BYTES
    maximum transfer rate for graph scale. Defaults to 6000, which should be in the right area for modem connections. The key is to experiment with this setting and the --logscale option to get the kind of graph that fits your connection type. A general rule of thumb is to set this to 4 to 5 times greater than your maximum throughput. The author finds using --logscale and --maxrate=10000000 to work nicely for the entire range of his dorms ethernet based connection to the internet.

-l,--logscale
    sets logarithmic scale, which is good for fast connections. This will allow, for example, the graph still being informative at extremely low speeds (telnet), and extremely fast speeds (local FTP) simultaneously without the scale constantly being blank or solid at those respective extremes.

-L,--label=LABEL
    prints a given text label on the bottom of the window

-F,--labelfg=COLOR
    specifies the color for the text of the label

-B,--labelbg=COLOR
    specifies the color for the background of the label text

--withdrawn

--normalstate
    sets the initial state of wmnet. WMnet tries to automatically determine which state to start up in by starting up in withdrawn state if a WindowMaker defined atom is present, and in normalstate otherwise. This behavior is overridden by specifying one of these options.

-e,--execute=COMMAND
    executes COMMAND on a single click from button 1 (left mouse button).

-u,--unpromisc=DEVICE

-p,--promisc=DEVICE
    put DEVICE in promiscuous mode to start applying accounting rules to all network packets on your network segment. You either need to be root or have the wmnet binary suid root to use this feature. This option may be given more than once on the command line to specify more than one device.

-d DELAY
    delay time for polling /proc/net/ip_account (in microseconds). Defaults to 25000, that is 0.025 seconds, or 40 Hz

-D,--driver=DRIVER
    use DRIVER to get the stats we monitor. Compiled in drivers can be listed with the -h switch.

-W,--device=DEVICE
    watch statistics for DEVICE . This option is only used for certain stat drivers, namely: kmem, devstats, and pppstats. The ipchains and ipfwadm stat drivers do not use this parameter.

-X,--display=ISPLAY
    X display to use.

STAT DRIVERS
wmnet uses different stat drivers to get the stats it needs to monitor your network. Exactly what drivers are available is determined at compile time. The driver wmnet ultimately uses at runtime is dependent on your system. There are 4 drivers specific to Linux and 1 to *BSD. The driver used can be overridden by the --driver option. The available drivers are pppstats, devstats, ipfwadm, ipchains and kmem.

pppstats
    this driver works on Linux 2.0 or Linux 2.1 for ONLY ppp type devices. Specify the --device option for the interface to monitor. By default it uses interface ppp0. Please note, that if the ppp device is not available or active, wmnet will continue to try in the hopes that it is only temporarily offline.

devstats
    use this driver on Linux 2.1 kernels for any interface. Pass the --device option for the device you want monitored, otherwise, the default is eth0. This will be available for ONLY Linux 2.1 kernels and will always be there on those kernels.

ipfwadm
    use this driver on Linux 2.0 kernels compiled with IP accounting. It won't work on Linux 2.1. You'll also need to specify the --txrule and --rxrule options. By default, wmnet uses the first two rules it finds.

ipchains
    this driver will only work in Linux 2.1 kernels with IP chains compiled in. You'll want to also specify the --txrule and --rxrule options and specify the chain names. By default it uses the chains "acctin" and "acctout" There must be at least one rule on the named ipchain, if there is more than one rule in the specified chain, it uses the first. The chain must not immediately return to the parent chain, it has to pass through a rule first. Otherwise, the kernel will not collect the stats we need.

kmem
    this driver is available on FreeBSD and OpenBSD systems and must be passed a device through the --device option. By default, it uses ec0 but will accept any valid device name.

FILES

/proc/net/ip_acct /proc/net/dev /proc/net/ipchains
    kernel net accounting information

AUTHORS
wmnet was created by Jesse B. Off <joff@iastate.edu> and is maintained by Katharine Osborne <kaos@digitalkaos.net>.

This manpage was originally written by Marcelo Magallon <mmagallo@debian.org> for the Debian Project, and is GNU Copyright 1998 Marcelo Magallon and later modified by Jesse Off and Katharine Osborne for WMnet versions 1.05 and above.

SEE ALSO
wmaker(1x)